org.apache.ignite.ml.selection.scoring.metric.classification

## Class Accuracy<L extends Serializable>

- java.lang.Object
- - org.apache.ignite.ml.selection.scoring.metric.classification.Accuracy<L>

- All Implemented Interfaces:
    Serializable, Metric<L,EmptyContext<L>,ClassificationMetricsAggregator<L>>

      public class Accuracy<L extends Serializable>
      extends Object
      implements Metric<L,EmptyContext<L>,ClassificationMetricsAggregator<L>>

  Accuracy metric class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Accuracy()` Creates an instance of Accuracy metric.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Accuracy<L>` | `initBy(ClassificationMetricsAggregator<L> aggr)` Initializes metric value by statistics aggregator.
    `ClassificationMetricsAggregator<L>` | `makeAggregator()` Creates statistics aggregator.
    `MetricName` | `name()` Returns metric name.
    `double` | `value()` Returns metric value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Accuracy

          public Accuracy()

      Creates an instance of Accuracy metric.

  - ### Method Detail

    - #### initBy

          public Accuracy<L> initBy(ClassificationMetricsAggregator<L> aggr)

      Initializes metric value by statistics aggregator.
      Specified by:
        `initBy` in interface `Metric<L extends Serializable,EmptyContext<L extends Serializable>,ClassificationMetricsAggregator<L extends Serializable>>`
      Parameters:
        `aggr` - Aggregator.

    - #### makeAggregator

          public ClassificationMetricsAggregator<L> makeAggregator()

      Creates statistics aggregator.
      Specified by:
        `makeAggregator` in interface `Metric<L extends Serializable,EmptyContext<L extends Serializable>,ClassificationMetricsAggregator<L extends Serializable>>`
      Returns:
        Statistics aggregator

    - #### value

          public double value()

      Returns metric value.
      Specified by:
        `value` in interface `Metric<L extends Serializable,EmptyContext<L extends Serializable>,ClassificationMetricsAggregator<L extends Serializable>>`
      Returns:
        Metric value.

    - #### name

          public MetricName name()

      Returns metric name.
      Specified by:
        `name` in interface `Metric<L extends Serializable,EmptyContext<L extends Serializable>,ClassificationMetricsAggregator<L extends Serializable>>`
      Returns:
        Metric name.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023